% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/expr-lang.R
\name{lang}
\alias{lang}
\alias{new_language}
\title{Create a language call by "hand"}
\usage{
lang(.fn, ..., .ns = NULL)

new_language(.fn, ..., .ns = NULL)
}
\arguments{
\item{.fn}{Function to call. Must be a callable object: a string,
symbol, call, or a function.}

\item{...}{Arguments to the call either in or out of a list. Dots
are evaluated with \link[=dots_list]{explicit splicing}.}

\item{.ns}{Namespace with which to prefix \code{.fn}. Must be a string
or symbol.}
}
\description{
Create a language call by "hand"
}
\examples{
# fn can either be a string, a symbol or a call
lang("f", a = 1)
lang(quote(f), a = 1)
lang(quote(f()), a = 1)

#' Can supply arguments individually or in a list
lang(quote(f), a = 1, b = 2)
lang(quote(f), splice(list(a = 1, b = 2)))

# Creating namespaced calls:
lang("fun", arg = quote(baz), .ns = "mypkg")
}
\seealso{
lang_modify
}
